Vector BLF: Vector::BLF::LinLongDomSignalEvent2 Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::LinLongDomSignalEvent2 Struct Referencefinal

LIN_LONG_DOM_SIG2. More...

`#include <LinLongDomSignalEvent2.h>`

Inheritance diagram for Vector::BLF::LinLongDomSignalEvent2:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const
Public Member Functions inherited from Vector::BLF::LinBusEvent
| LinBusEvent (const LinBusEvent &)=default
LinBusEvent & | operator= (const LinBusEvent &)=default
| LinBusEvent (LinBusEvent &&)=default
LinBusEvent & | operator= (LinBusEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint8_t | type {}
uint8_t | reservedLinLongDomSignalEvent1 {}
uint16_t | reservedLinLongDomSignalEvent2 {}
uint32_t | reservedLinLongDomSignalEvent3 {}
uint64_t | length {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t | sof {}
| Start Of Frame timestamp.
uint32_t | eventBaudrate {}
| Baudrate of the event in bit/sec.
uint16_t | channel {}
| application channel
uint16_t | reservedLinBusEvent {}

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_LONG_DOM_SIG2.

This event occurs when a LIN channel remains in the dominant state for a time, which is longer than a valid wakeup frame and it is not a valid sync break.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinLongDomSignalEvent2::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::LinBusEvent.

## ◆ read()

void Vector::BLF::LinLongDomSignalEvent2::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::LinBusEvent.

## ◆ write()

void Vector::BLF::LinLongDomSignalEvent2::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::LinBusEvent.

## Member Data Documentation

## ◆ length

uint64_t Vector::BLF::LinLongDomSignalEvent2::length {}

Current total signal length [in nanoseconds]

## ◆ reservedLinLongDomSignalEvent1

uint8_t Vector::BLF::LinLongDomSignalEvent2::reservedLinLongDomSignalEvent1 {}

reserved

## ◆ reservedLinLongDomSignalEvent2

uint16_t Vector::BLF::LinLongDomSignalEvent2::reservedLinLongDomSignalEvent2 {}

reserved

## ◆ reservedLinLongDomSignalEvent3

uint32_t Vector::BLF::LinLongDomSignalEvent2::reservedLinLongDomSignalEvent3 {}

reserved

## ◆ type

uint8_t Vector::BLF::LinLongDomSignalEvent2::type {}

One dominant signal reported with multiple events (at least 2). This field indicate the order of this event in a sequence:

- 0: Signal just detected
- 1: Signal continuation
- 2: Signal finished

The documentation for this struct was generated from the following files:

- LinLongDomSignalEvent2.h
- LinLongDomSignalEvent2.cpp